因为对PHP7的陌生感觉和LINUX运维经验的不足,在以前建站的时候吧,使用了CentOS7+PHP5.6搭建了搭建了这个自留地,后来在网上看到了有升级PHP到7.x的帖子,心里一直痒痒,但都没有付诸实践(说白了,还是怕麻烦,万一升级失败怎么办呀),今天准备写点儿什么,打开网站发现卡卡的,于是乎决定借此契机,把PHP版本更新一下,这里就记录一下我的升级过程。

 

1.首先呢,就是检查一下我们的服务器上安装的PHP环境

检查PHP版本

php -v

检查已安装的PHP包

yum list installed | grep php

2.更换yum源

#Centos 5.X:
rpm -Uvh http://mirror.webtatic.com/yum/el5/latest.rpm

#CentOs 6.x:
rpm -Uvh http://mirror.webtatic.com/yum/el6/latest.rpm

#CentOs 7.X:
rpm -Uvh https://mirror.webtatic.com/yum/el7/epel-release.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm

3.停止相关服务

关闭php-fpm,如果有的话

service php-fpm stop
#或者
systemctl stop php-fpm

关闭Apache或者Ngnix

Apache
service httpd stop
#或者
systemctl stop httpd

Ngnix
service nginx stop

4.删除已经安装的PHP包

yum remove php*

5.安装新版本PHP

PHP7.1

yum install php71w php71w-cli php71w-common php71w-devel php71w-embedded php71w-fpm php71w-gd php71w-mbstring php71w-mysqlnd php71w-opcache php71w-pdo php71w-xml php71w-ldap php71w-mcrypt

PHP7.2

yum install php72w php72w-cli php72w-common php72w-devel php72w-embedded php72w-fpm php72w-gd php72w-mbstring php72w-mysqlnd php72w-opcache php72w-pdo php72w-xml php72w-ldap php72w-mcrypt

注意:谨慎,如果你使用的是WordPress搭建的站点,并且安装了部分插件,请先在本地环境尝试,否则可能造成WordPress报错,没有详细信息,仅一条错误提示如下:

The site is experiencing technical difficulties. Please check your site admin email inbox for instructions.(该网站遇到技术问题,请检查您的网站管理员邮箱获取说明)

或者更简单(噢,不能说简单,应该说是简陋

The site is experiencing technical difficulties.(该网站遇到技术问题)

具体原因嘛,可能是某些插件使用了一些在PHP7.2中摒弃的用法或者其他什么原因,总之就是三个字:不兼容

 

如果在安装过程中遇到类似下面这样的问题,执行类似下面这样的命令之后再安装即可。

#问题
file /usr/lib64/httpd/modules/libphp7.so from of mod_php72w-7.2.17-1.w7.x86_64 conflicts with file from package mod_php71w-7.1.29-1.w7.x86_64

#命令
#查看安装的PHP相关的包
yum list installed | grep php
#移除上面这条命令列出来的包
yum remove mod_php71w.x86_64

 

6.启动相关服务

启动php-fpm

service php-fpm start

启动Apache或者Ngnix

Apache
service httpd start

Ngnix
service nginx start

7.再次检查PHP环境

php -v

8.检查网站能否正常访问

升级完毕

发表评论

电子邮件地址不会被公开。 必填项已用*标注